*{
    box-sizing: border-box;
}

body{
    font-family: arial, sans-serif;
    display:grid;
    grid-template-rows: auto 1fr auto;
    grid-template-columns:1fr ;
    height: 100vh;
    margin:0px;
    background-color: lightgrey;

}
header{
    background-color: lightblue;
    color:white;
    padding:40px;
    text-align: center;
}
header i{
    font-size: 75px;
}
h1{
    font-size:2em;
    font-weight:bold;

}
main{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto auto 1fr;
    gap:15px;
    padding:20px;
}
.main_course{
    height:170px;
    border-radius: 8px;
    text-align: center;
    padding:20px;
    color:#fff;
    text-decoration: none;
    border: 1px solid #ddd;
    box-shadow:0 2px 4px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s, box-shadow 0.2s;
}
.main_course:hover{
    transform: scale(1.05);
    box-shadow:0 4px 8px rgba(0,0,0,0.2);
}
.main_course i{
    font-size: 64px;
}
.webb1{
    background-color:yellow;
    
}
.webb2{
    background-color:navy;
}
.webbserver{
    background-color:purple;
}
.slutproject{
    background-color:lightgreen;
}
footer{
    background-color: black;
    color:white;
    text-align:center;
}